# coding:utf8

__author__ = 'dong'

import os
import logging
import xml.dom.minidom
import re
import shutil
import glob
from xml.etree.ElementTree import ElementTree, Element
import distutils.dir_util
from xml.etree import ElementTree as ET

ANDROID_NS = 'http://schemas.android.com/apk/res/android'


def script_second(workspace_sdk_dir, extract_dir, channel_sdk_info, new_game_channel_info, game_info):
    public_xml = os.path.join(extract_dir, "res/values/public.xml")
    handle_public_xml(public_xml, "debugger")
    handle_public_xml(public_xml, "mms_cfg")
    handle_public_xml(public_xml, "ss_cfg")
    handle_public_xml(public_xml, "ss_sgn")
    handle_public_xml(public_xml, "cache_measures")
    handle_public_xml(public_xml, "dependency_ordering")
    handle_public_xml(public_xml, "graph")
    handle_public_xml(public_xml, "graph_wrap")
    handle_public_xml(public_xml, "grouping")
    handle_public_xml(public_xml, "ratio")

    raws_xml = os.path.join(extract_dir, "res/values/raws.xml")
    if os.path.exists(raws_xml):
        os.remove(raws_xml)
    return


def handle_public_xml(public_xml_path, remove_node):
    if not os.path.exists(public_xml_path):
        logging.info('public_xml is null: ' + public_xml_path)
        return
    new_lines = []
    with open(public_xml_path, 'r+') as f:
        for line in f.readlines():
            # l = line.strip()
            if line.find(remove_node) > -1:
                continue
            new_lines.append(line)
        f.seek(0)
        f.truncate()
        f.writelines(new_lines)
    return


def script(SDK, decompileDir, channelSdkInfo, new_game_channel_info, gameInfo):
    logging.info("-----debug-----")


def script_last(SDK, decompileDir, channelSdkInfo, new_game_channel_info, gameInfo):
    return


if __name__ == '__main__':
    # replace_super_application("D:\work\wzdq")
    ""
